GetFeed
Retrieves information about the specified feed.
Request Syntax
GET /v1/feed/id HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- id
-
The ID of the feed to query.
Pattern:
[a-z0-9]{19}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"accessRoleArn": "string",
"arn": "string",
"association": {
"associatedResourceName": "string"
},
"dataEndpoints": [ "string" ],
"id": "string",
"name": "string",
"outputs": [
{
"description": "string",
"fromAssociation": boolean,
"name": "string",
"outputConfig": { ... },
"status": "string"
}
],
"status": "string",
"tags": {
"string" : "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- accessRoleArn
-
The Amazon Resource Name (ARN) of an AWS Identity and Access Management (IAM) role that Elemental Inference assumes. Elemental Inference uses this role to access resources in your account on your behalf. This property is absent if the feed doesn't have an IAM role.
Type: String
Length Constraints: Minimum length of 32. Maximum length of 255.
Pattern:
arn:aws[a-z\-]*:iam::[0-9]{12}:role/.+ - arn
-
The ARN of the feed.
Type: String
- association
-
Information about the resource that is associated with the feed. It's possible that there is no associated resource. This is not an error.
Type: FeedAssociation object
- dataEndpoints
-
The dataEndpoints of the feed.
Type: Array of strings
- id
-
The ID of the feed.
Type: String
Pattern:
[a-z0-9]{19} - name
-
The name of the feed.
Type: String
Pattern:
[a-zA-Z0-9]([a-zA-Z0-9-_]{0,126}[a-zA-Z0-9])? - outputs
-
An array of the outputs in the feed.
Type: Array of GetOutput objects
- status
-
The status of the feed.
Type: String
Valid Values:
CREATING | AVAILABLE | ACTIVE | UPDATING | DELETING | DELETED | ARCHIVED -
A list of the tags, if any, for the feed.
Type: String to string map
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 256.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerErrorException
-
An internal server error occurred. This is a temporary condition and the request can be retried. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource specified in the action doesn't exist.
HTTP Status Code: 404
- TooManyRequestException
-
The request was denied due to request throttling. Too many requests have been made within a given time period. Reduce the frequency of requests and use exponential backoff when retrying.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: